/*
 *  config.c
 *  foobilliard
 *
 *  Created by Julian Mayer on 27.03.08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */

#include <Carbon/Carbon.h>

char* get_mac_data_directory()
{
    putenv("SDL_ENABLEAPPEVENTS=1"); 

	char *buffer = malloc(255);
	CFURLRef bundleurl = CFBundleCopyBundleURL(CFBundleGetMainBundle());
	CFURLRef url = CFURLCreateCopyAppendingPathComponent(kCFAllocatorDefault, bundleurl, CFSTR("Contents/Resources/"), true);
	
	if (!CFURLGetFileSystemRepresentation(url, true, (UInt8*)buffer, 255))
	{
		exit(1);
	}
	else
		return buffer;
}